Skip to main content
hCaptcha — also known as the I AM NOT A ROBOT captcha — is one of the most common image-based verification systems.
hCaptcha drag canvas puzzle

Canvas drag — Please drag the pieces to complete the puzzle

hCaptcha grid with anchor images

Grid with anchors — Pick objects that could rest on the surface

hCaptcha grid challenge

Grid — Pick all the cooking utensils and equipment

1. Create task

Request

Body Parameters

You can also send a single screenshot that contains both the challenge images and the question — set isScreenshot: true and omit question / anchors.
Or send a single screenshot containing both the challenge and the question:

Response

  • errorId = 0 and taskId → success
  • errorId = 1 and errorCode → failure (see Error Codes)

2. Get task result

Request

Depending on the challenge variant, solution is returned in one of the three formats below.

2a. Grid result

  • solution.objects → indices of the grid cells to click (DOM order).

2b. Canvas click result

  • solution.type = "click" → each entry in coords is an [x, y] point to click on the canvas.

2c. Canvas drag result

  • solution.type = "drag" → each entry in box has a start [x, y] and an end [x, y], simulating dragging a puzzle piece from start to end.
Wait 2 seconds between getTaskResult polls while status = "processing".